DU(1)

NOM
du - Évaluer l'espace disque occupé par des fichiers

SYNOPSIS
du [OPTION] ... [FICHIER] ...
du [OPTION]... --files0-from=FICHIERS

DESCRIPTION

Totaliser l'espace utilisé sur le périphérique par l'ensemble de FICHIERS, de façon récursive pour les répertoires.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-0, --null
    terminer chaque ligne produite par un caractère NULL plutôt que par un changement de ligne

-a, --all
    afficher le volume de tous les fichiers, et pas seulement celui des répertoires

--apparent-size
    afficher les volumes effectifs, au lieu de l'espace occupé sur le périphérique. Même si le volume effectif est habituellement plus faible, il peut être plus important en raison de trous dans des fichiers « creux », de fragmentation internes, de blocs indirects ou pour d'autres raisons similaires.

-B, --block-size=TAILLE
    utiliser cette TAILLE de bloc pour l'affichage. Par exemple « -BM » affichera les volumes en unités de 1 048 576 octets. Consultez le format de TAILLE ci-dessous

-b, --bytes
    équivalent à « --apparent-size --block-size=1 »

-c, --total
    calculer le total général

-D, --dereference-args
    ne déréférencer que les liens symboliques de la ligne de commande

-d, --max-depth=NIVEAU
    afficher l'espace total occupé par un répertoire (ou un fichier, avec l'option --all) seulement s'il est situé à une profondeur inférieure ou égale à NIVEAU par rapport au paramètre de la ligne de commande. --max-depth=0 est équivalent à --summarize.

--files0-from=FICHIERS\fP
    totaliser l'espace occupé sur le périphérique par les fichiers dont le nom se termine par le caractère NUL et listés dans F ; si F vaut -, alors les noms sont lus depuis l'entrée standard.

-H  équivalent à --dereference-args (-D)

-h, --human-readable
    afficher les tailles dans un format lisible par un humain (par exemple 1K, 234M, 2G)

--inodes
    afficher les informations d’utilisation des inœuds plutôt que de l'utilisation des blocs

-k  identique à --block-size=1K

-L, --dereference
    déréférencer tous les liens symboliques

-l, --count-links
    comptabiliser les tailles plusieurs fois dans le cas des liens physiques

-m  identique a --block-size=1M

-P, --no-dereference
    ne pas suivre les liens symboliques. Il s'agit du comportement par défaut.

-S, --separate-dirs
    pour les répertoires, ne pas inclure la taille des sous-répertoires

--si
    identique à « -h », mais utiliser des puissances 1000 au lieu de 1024

-s, --summarize
    afficher seulement un total pour chaque paramètre

-t, --threshold=TAILLE
    exclure les entrées plus petites que TAILLE si celle-ci est positive, ou les entrées plus grandes si négative

--time
    afficher l'heure de la dernière modification de chaque fichier et de chaque sous-répertoire

--time=MOT
    afficher un des indicateurs temporels disponibles. L'indicateur à afficher est précisé par MOT, parmi : « atime », « access », « use », « ctime » ou « status »

--time-style=STYLE
    afficher les heures en utilisant le STYLE, qui peut être : « full-iso », « long-iso », « iso » ou « +FORMAT ». La chaîne FORMAT est interprétée de la même façon qu'avec la commande « date ».

-X, --exclude-from=FICHIER
    exclure les fichiers qui correspondent à un des motifs dans FICHIER

--exclude=MOTIF
    exclure les fichiers qui correspondent au MOTIF

-x, --one-file-system
    ignorer les répertoires situés sur un système de fichiers différent

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Les valeurs affichées sont exprimées dans la première unité fournie par la TAILLE de l'option --block-size ou les variables d'environnement DU_BLOCK_SIZE, BLOCK_SIZE ou BLOCKSIZE. Sinon, l'unité par défaut est de 1024 octets (ou 512 octets si POSIXLY_CORRECT est activé).

L’argument TAILLE est un entier suivi d'une unité facultative (10k pour 10×1024 par exemple). Les unités sont K, M, G, T, P, E, Z et Y (puissances de 1024) ou KB, MB, etc. (puissances de 1000). Les préfixes binaires peuvent aussi être utilisées : KiB=K, MiB=M et ainsi de suite.

MOTIFS
MOTIF est un motif de l'interpréteur (pas une expression rationnelle). Le motif ? correspond à un caractère quelconque, tandis que * correspond à n'importe quelle chaîne (composée de zéro, un ou plusieurs caractères). Par exemple, *.o correspond à tous les fichiers dont le nom se termine par .o. Ainsi, la commande :

    du --exclude='*.o'

ignore tous les fichiers et répertoires dont le nom se termine par .o. Cela inclut éventuellement le fichier .o lui-même.

AUTEUR
Écrit par Torbjorn Granlund, David MacKenzie, Paul Eggert et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/du>
aussi disponible localement à l’aide de la commande : info '(coreutils) du invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.